function U_set_scaling=get_U_set_scaling(theta_error_set)
%{
Given possible error of direction, the orignal input set has to be scaled.
This functions calculates how much

:vector theta_error_set: vector of possible errors in direction
:float return: A scalar used to scale the orignal input set
%}
if max(theta_error_set)-min(theta_error_set)>pi/2
    U_set_scaling=1/(2*cos(pi/4));
else
    scaled_theta_error_set=abs(mod(theta_error_set+pi/4,pi/2)-pi/4);
    U_set_scaling=1/(cos(max(scaled_theta_error_set))+sin(max(scaled_theta_error_set)));
end