function full_tube = get_tube_of_full_robot(error_set,radius,position_verticies)
%{
This function computes the space taken given robot's shape and its all
possible states.
:vector error_set: A box uncetanity set that contains all possible directions.
:float radius: robot's radius
:matrix position_verticies: A box uncetanity set that contains all possible
positions of robot's head.
:Polyhedron object return: All set of all possible places taken by the
robot
%}
min_angle=error_set(1);
max_angle=error_set(2);

left=get_dist_direction([min_angle,max_angle],0,radius);
down = get_dist_direction([min_angle,max_angle],pi/2,radius);
up = get_dist_direction([min_angle,max_angle],-pi/2,radius);
right =  get_dist_direction([min_angle,max_angle],pi,radius);
left_down =  get_dist_direction([min_angle,max_angle],pi/4,radius);
left_up=get_dist_direction([min_angle,max_angle],-pi/4,radius);
right_up=get_dist_direction([min_angle,max_angle],-pi/4*3,radius);
right_down=get_dist_direction([min_angle,max_angle],pi/4*3,radius);

position_tube = Polyhedron(position_verticies);
full_tube=Polyhedron([eye(2);-eye(2);[-1,-1;-1,1;1,1;1,-1]/sqrt(2)],[right;up;left;down;left_down;left_up;right_up;right_down]);
full_tube=full_tube+position_tube;


end
